-- ===================================================================

local cvt       = default.convert_node
local reg_alias = ocutil.safe_register_alias
local reg_item  = ocutil.safe_register_item
local reg_node  = ocutil.safe_register_node

local needitem
local neednode

-- ===================================================================

nodepart = "button_219"
fromnode = "basic_robot:" .. nodepart
neednode = "stairs:stair_outer_" .. nodepart
--
if  ocutil.node_missing (neednode) and
    ocutil.node_exists  (fromnode) then
    stairs.register_all (nodepart, fromnode,
        { cracky=3                          } ,
        { "219.png"                         } ,
        "Basic Robot 219"                     ,
        stairs.snd_stone)
end
cvt ("basic_robot:button_219_outerstair"      ,
     "stairs:stair_outer_button_219"          )
cvt ("stairs:stair_button_0"                  ,
     "stairs:stair_button_219"                )

-- ===================================================================

nodepart = "button_219"
fromnode = "basic_robot:" .. nodepart
neednode = "stairs:stair_inner_"  .. nodepart
--
if  ocutil.node_missing (neednode) and
    ocutil.node_exists  (fromnode) then
    stairs.register_all (nodepart, fromnode,
        { cracky=3                          } ,
        { "219.png"                         } ,
        "Basic Robot 219"                     ,
        stairs.snd_stone)
end
cvt ("basic_robot:button_219_innerstair"      ,
     "stairs:stair_inner_button_219"          )

-- ===================================================================

cvt ("basic_robot:button_65_microslab"        ,
     "basic_robot:button_219_microslab"       )

cvt ("basic_robot:button_73_microslab"        ,
     "basic_robot:button_219_microslab"       )

cvt ("basic_robot:button_78_microslab"        ,
     "basic_robot:button_219_microslab"       )

cvt ("basic_robot:button_79_microslab"        ,
     "basic_robot:button_219_microslab"       )

cvt ("basic_robot:button_82_microslab"        ,
     "basic_robot:button_219_microslab"       )

cvt ("basic_robot:button_83_microslab"        ,
     "basic_robot:button_219_microslab"       )

cvt ("basic_robot:button_84_microslab"        ,
     "basic_robot:button_219_microslab"       )

-- ===================================================================
-- End of file.
