-- ===================================================================

local neednode

-- ===================================================================

neednode = "building_blocks:gravel_spread"
if  minetest.registered_nodes [neednode] == nil then

minetest.register_node (":" .. neednode, {
    drawtype = "raillike",
    description = "Gravel Spread" ,
    tiles = {"default_gravel.png"},
    inventory_image = "building_blocks_gravel_spread_inv.png",
    paramtype = "light",
    walkable = false,
    selection_box = {
        type = "fixed",
        -- but how to specify the dimensions for curved and sideways rails?
        fixed = {-1/2, -1/2, -1/2, 1/2, -1/2+1/16, 1/2},
    },
    sunlight_propagates = true,
    is_ground_content = true,
    groups = {crumbly=2},

    sounds = default.node_sound_dirt_defaults ({
        footstep = {name="default_gravel_footstep", gain=0.5},
        dug = {name="default_gravel_footstep", gain=1.0},
    }) ,
})
end

-- ===================================================================
-- End of module.
