local get_png  = function (s) return s end
local reg_node = ocutil.safe_register_node

reg_node ("myretro:kirby_mini", {
    description = "Kirby Miniature",
    tiles = {get_png ("myretro_kirby_mini_side.png"), get_png ("myretro_kirby_mini_top.png"), get_png ("myretro_kirby_mini_front.png")},
    groups = {crumbly=1},
    paramtype2 = "facedir",
})

minetest.register_craft({
    output = '"myretro:kirby_mini" 1',
    recipe = {
        {'wool:pink', 'wool:white', ''},
        {'wool:pink', 'wool:pink', ''},
        {'', '', ''},
        }
})

reg_node ("myretro:smb_brick", {
    description = "SMB Brick",
    tiles = {get_png ("myretro_smb_brick.png")},
    groups = {cracky=3, stone=2},
})

reg_node ("myretro:sm64_star", {
    description = "SM64 Star Block",
    tiles = {get_png ("myretro_sm64_star.png")},
    groups = {crumbly=3},
})

reg_node ("myretro:smb_cloud", {
    description = "SMB Cloud",
    tiles = {get_png ("myretro_smb_clouds.png"), get_png ("myretro_smb_clouds_top.png")},
    groups = {crumbly=1},
    on_place = minetest.rotate_node
})

reg_node ("myretro:smb_cobble", {

    description = "Smb Cobble",
    tiles = {get_png ("myretro_smb_cobble.png") },
    groups = {cracky=3, stone=2},
})

reg_node ("myretro:smb_castlebrick", {
    description = "SMB Castle Brick",
    tiles = {get_png ("myretro_smb_castlebrick.png")},
    groups = {cracky=3, stone=2},
})

minetest.register_craft({
    output = '"myretro:yosho_block" 1',
    recipe = {
        {'wool:white', '', ''},
        {'', 'wool:green', ''},
        {'', '', ''},
        }
})

minetest.register_craft({
    output = '"myretro:smb_cobble" 12',
    recipe = {
        {'default:cobble', 'default:cobble', ''},
        {'default:cobble', 'default:cobble', ''},
        {'', '', ''},
        }
})

minetest.register_craft({
    output = '"myretro:smb_castlebrick" 45',
    recipe = {
        {'default:cobble', 'default:cobble', 'default:cobble', ''},
        {'default:cobble', 'default:cobble', 'default:cobble', ''},
        {'default:cobble', 'default:cobble', 'default:cobble', ''},
        }
})

minetest.register_craft({
    output = '"myretro:smb_brick" 15',
    recipe = {
        {'default:brick', 'default:brick', 'default:brick', ''},
        {'default:brick', 'default:brick', 'default:brick', ''},
        {'default:brick', 'default:brick', 'default:brick', ''},
        }
})

minetest.register_craft({
    output = '"myretro:sm64_star" 3',
    recipe = {
        {'default:mese_block', 'default:mese_block', ''},
        {'default:mese_block', 'default:mese_block', ''},
        {'', '', ''},
        }
})

minetest.register_craft({
    output = '"myretro:smb_cloud" 17',
    recipe = {
        {'wool:white', 'wool:white', ''},
        {'wool:white', 'wool:white', ''},
        {'', '', ''},
        }
})

reg_node ("myretro:sonic_grass", {
    description = "Sonic 1 Grass",
    tiles = {get_png ("myretro_sonic_grass_top.png"), get_png ("myretro_sonic_dirt.png"), get_png ("myretro_sonic_grass.png")},
    groups = {crumbly=3},
    on_place = minetest.rotate_node,
})

reg_node ("myretro:sonic_dirt", {
    description = "Sonic 1 Dirt",
    tiles = {get_png ("myretro_sonic_dirt.png") },
    groups = {crumbly=3},
})

reg_node ("myretro:sonic_mini", {
    description = "Sonic 1 Miniature",
    tiles = {get_png ("myretro_sonic_mini_top.png"), get_png ("myretro_sonic_mini_down.png"), get_png ("myretro_sonic_mini_side.png"), get_png ("myretro_sonic_mini_side.png"), get_png ("myretro_sonic_mini_back.png"), get_png ("myretro_sonic_mini_front.png") },
    groups = {crumbly=3},
    paramtype2 = "facedir",
})

reg_node ("myretro:sonic_tiki", {
    description = "Sonic 1 Tiki",
    tiles = {get_png ("myretro_sonic_tiki_side.png"), get_png ("myretro_sonic_tiki_top.png"), get_png ("myretro_sonic_tiki_front.png")},
    groups = {choppy=2,oddly_breakable_by_hand=2},
    paramtype2 = "facedir",
    sounds = default.node_sound_wood_defaults(),
})

minetest.register_craft({
    output = '"myretro:sonic_grass" 99',
    recipe = {
        {'default:sand', 'default:sand', ''},
        {'default:dirt', 'default:dirt', ''},
        {'', '', ''},
        }
})

minetest.register_craft({
    output = '"myretro:sonic_dirt" 22',
    recipe = {
        {'default:dirt', 'default:dirt', ''},
        {'default:dirt', 'default:dirt', ''},
        {'', '', ''},
        }
})

minetest.register_craft({
    output = '"myretro:sonic_mini" 1',
    recipe = {
        {'wool:blue', 'wool:white', ''},
        {'wool:blue', 'wool:blue', ''},
        {'', '', ''},
        }
})

minetest.register_craft({
    output = '"myretro:sonic_tiki" 10',
    recipe = {
        {'default:wood', 'dye:green', ''},
        {'default:wood', 'default:wood', ''},
        {'', '', ''},
        }
})
