-- ===================================================================

local neednode
local img

-- ===================================================================

neednode = "poisonivy:seedling"
--
if ocutil.node_missing (neednode) then
    img  = "poisonivy_seedling.png"

    minetest.register_node (":" .. neednode, {
        description = "Poison ivy (seedling)" ,
        drawtype = "plantlike",
        waving = 1,
        tiles           = { img } ,
        inventory_image =   img   ,
        wield_image     =   img   ,
        sunlight_propagates = true,
        paramtype = "light",
        walkable = false,
        groups = { snappy = 3, poisonivy=1, flora_block=1 } ,
        sounds = default.node_sound_leaves_defaults() ,
        buildable_to = true ,
    })
end

-- ===================================================================

neednode = "poisonivy:sproutling"
--
if ocutil.node_missing (neednode) then
    img = "poisonivy_sproutling.png"

    minetest.register_node (":" .. neednode, {
        description = "Poison ivy (sproutling)" ,
        drawtype = "plantlike",
        waving = 1,
        tiles           = { img } ,
        inventory_image =   img   ,
        wield_image     =   img   ,
        sunlight_propagates = true,
        paramtype = "light",
        walkable = false,
        groups = { snappy = 3, poisonivy=1, flora_block=1 },
        sounds = default.node_sound_leaves_defaults(),
        buildable_to = true,
    })
end

-- ===================================================================

neednode = "poisonivy:climbing"
--
if ocutil.node_missing (neednode) then
    img = "poisonivy_climbing.png"

    minetest.register_node (":" .. neednode, {
        description = "Poison ivy (climbing plant)" ,
        drawtype = "signlike",
        tiles           = { img } ,
        inventory_image =   img   ,
        wield_image     =   img   ,
        sunlight_propagates = true,
        paramtype = "light",
        paramtype2 = "wallmounted",
        walkable = false,
        groups = { snappy = 3, poisonivy=1, flora_block=1 },
        sounds = default.node_sound_leaves_defaults(),

        selection_box = {
                type = "wallmounted",
        } ,
        buildable_to = true,
    })
end

-- ===================================================================
-- End of file.
