-- internationalization boilerplate
local MP = minetest.get_modpath(minetest.get_current_modname())
local S, NS = dofile(MP.."/intllib.lua")

minetest.register_craftitem("dragoncy:dragoncy_cent_5", {
    description = S("5 Dragoncy cent coin"),
    inventory_image = "dragoncy_cent_5.png",
        stack_max = 1000,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy_cent_10", {
    description = S("10 Dragoncy cent coin"),
    inventory_image = "dragoncy_cent_10.png",
        stack_max = 1000,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy_cent_25", {
    description = S("25 Dragoncy cent coin"),
    inventory_image = "dragoncy_cent_25.png",
        stack_max = 1000,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy", {
    description = S("1 Dragoncy Note"),
    inventory_image = "dragoncy.png",
        stack_max = 65535,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy_5", {
    description = S("5 Dragoncy Note"),
    inventory_image = "dragoncy_5.png",
        stack_max = 65535,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy_10", {
    description = S("10 Dragoncy Note"),
    inventory_image = "dragoncy_10.png",
        stack_max = 65535,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy_50", {
    description = S("50 Dragoncy Note"),
    inventory_image = "dragoncy_50.png",
        stack_max = 65535,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy_100", {
    description = S("100 Dragoncy Note"),
    inventory_image = "dragoncy_100.png",
        stack_max = 65535,
        groups = {dragoncy = 1}
})

minetest.register_craftitem("dragoncy:dragoncy_bundle", {
    description = S("Bundle of random Dragoncy notes"),
    inventory_image = "dragoncy_bundle.png",
        stack_max = 65535,
})
