-- ===================================================================

local reg_alias = ocutil.safe_register_alias
local reg_item  = ocutil.safe_register_item
local reg_node  = ocutil.safe_register_node

local needitem
local neednode

-- ===================================================================

reg_alias ("columnia:column_linkdown_junglewood" ,
           "default:junglewood"                  )

local list_base = { "junglewood", "sandstone" }
local list_part = { "bottom", "mid", "top", "crosslink" }

for _, base in ipairs (list_base) do
    for _, part in ipairs (list_part) do
    reg_alias ("columnia:column_" .. part .. "_" .. base ,
                   "default:"                        .. base )
    end
end

-- ===================================================================
-- End of file.
