-- ===================================================================

local cvt = default.convert_node
local neednode

-- ===================================================================

cvt ("digistuff:digimese"               ,
     "basic_materials:concrete_block"   )

-- ===================================================================

neednode = "digistuff:light_10"
--
if ocutil.node_missing (neednode) then
    minetest.register_node (":" .. neednode, {

        description = "Digilines Light 10" ,
        tiles       = { "digistuff_light.png" } ,
        paramtype   = "light"   ,
        paramtype2  = "facedir" ,
        drawtype    = "nodebox" ,

        node_box = {
            type  = "fixed" ,
            fixed = {{ -0.25, 0.4, -0.25, 0.25, 0.5, 0.25 }} ,
        } ,

        groups            = { cracky = 1 } ,
        is_ground_content = false,
        light_source      = 10 ,
        color             = { r = 200,g = 200,b = 200 } ,
        sounds            = default.node_sound_glass_defaults() ,
    })
end

-- ===================================================================

neednode = "digistuff:light_14"
--
if ocutil.node_missing (neednode) then
    minetest.register_node (":" .. neednode, {

        description = "Digilines Light 14"      ,
        tiles       = { "digistuff_light.png" } ,
        paramtype   = "light"   ,
        paramtype2  = "facedir" ,
        drawtype    = "nodebox" ,

        node_box = {
            type  = "fixed" ,
            fixed = {{ -0.25, 0.40, -0.25, 0.25, 0.50, 0.25 }} ,
        } ,

        groups            = { cracky = 1 } ,
        is_ground_content = false,
        light_source      = 14 ,
        color             = { r = 200,g = 200,b = 200 } ,
        sounds            = default.node_sound_glass_defaults() ,
    })
end

-- ===================================================================
-- End of file.
