-- ===================================================================

local cvt_node = default.convert_node
local reg_node = ocutil.safe_register_node
local node_name

-- ===================================================================

reg_node ("coderblocks:silver_block", {
    description       = "Silver-Plated Block"           ,
    tiles             = { "lottores_silver_block.png" } ,
    is_ground_content = true                            ,
    groups            = { cracky=1, level=2 }           ,
    sounds            = default.sound_stone()           ,
})

-- ===================================================================

stairs.register_stair_and_slab ("silver_block" ,
    "coderblocks:silver_block"      ,
    { cracky=3 }                    ,
    { "lottores_silver_block.png" } ,
    "Silver Stair"                  ,
    "Silver Slab"                   ,
    default.sound_stone()
)

-- ===================================================================

cvt_node ("lottother:blue_torch"   , "glowcrystals:torch")

-- ===================================================================
-- End of file.
