-- ===================================================================

local reg_node = ocutil.safe_register_node

-- ===================================================================

reg_node ("markers:stone", {

    description           = "Land boundary marker" ,
    groups                = { cracky=2 }           ,
    legacy_facedir_simple = true                   ,
    is_ground_content     = false                  ,

-- Note: "facedir" is left unset here intentionally.

    tiles = {
        "markers_stone.png"      ,
        "markers_stone.png"      ,
        "markers_stone_side.png" ,
        "markers_stone_side.png" ,
        "markers_stone_side.png" ,
        "markers_stone_side.png" ,
    } ,
})

-- ===================================================================

reg_node ("markers:mark", {

    description  = "Land marker"          ,
    tiles        = { "markers_mark.png" } ,
    drawtype     = "nodebox"              ,
    paramtype    = "light"                ,
    paramtype2   = "facedir"              ,
    light_source = 1                      ,

    groups   = {
        snappy=2, choppy=2, oddly_breakable_by_hand=1
    } ,

    node_box = {
        type  = "fixed" ,
        fixed = {
            { -0.1,-0.5, -0.1, 0.1, 1.5, 0.1 } ,
        } ,
    } ,
})

-- ===================================================================
-- End of module.
