local reg_node = ocutil.safe_register_node

-- ===================================================================

reg_node ("redcat:marblepattern1", {
    description = "RedCat Marble Pattern 1"       ,
    tiles       = { "redcat_marblepattern1.png" } ,

    is_ground_content = false                     ,
    workbench         = false                     ,
    groups = { cracky=3, stone=2 }                ,
    sounds = default.sound_stone()  ,
})

-- ===================================================================

reg_node ("redcat:marblepattern2", {
    description = "RedCat Marble Pattern 2"       ,
    tiles       = { "redcat_marblepattern2.png" } ,

    is_ground_content = false                     ,
    workbench         = false                     ,
    groups = { cracky=3, stone=2 }                ,
    sounds = default.sound_stone()  ,
})

-- ===================================================================

reg_node ("redcat:greybrick_column", {
    description = "RedCat Grey Brick Column"        ,
    tiles       = { "redcat_greybrick_column.png" } ,

    is_ground_content = false                    ,
    workbench         = false                    ,
    groups = { cracky=3, stone=2 }               ,
    sounds = default.sound_stone() ,
})

-- ===================================================================

reg_node ("redcat:greybrick_glyphs", {
    description = "RedCat Grey Brick Glyphs"        ,
    tiles       = { "redcat_greybrick_glyphs.png" } ,

    is_ground_content = false                    ,
    workbench         = false                    ,
    groups = { cracky=3, stone=2 }               ,
    sounds = default.sound_stone() ,
})

-- ===================================================================

reg_node ("redcat:greybrick_cobble", {
    description = "RedCat Grey Brick Cobble"        ,
    tiles       = { "redcat_greybrick_cobble.png" } ,

    is_ground_content = false                    ,
    workbench         = false                    ,
    groups = { cracky=3, stone=2 }               ,
    sounds = default.sound_stone() ,
})

-- ===================================================================

reg_node ("redcat:mixedbrick", {
    description = "RedCat Mixed Brick"        ,
    tiles       = { "redcat_mixedbrick.png" } ,

    is_ground_content = false                    ,
    workbench         = false                    ,
    groups = { cracky=3, stone=2 }               ,
    sounds = default.sound_stone() ,
})

-- ===================================================================

reg_node ("redcat:redbrick_cobble"   , {
    description = "RedCat Red Brick Cobble"        ,
    tiles       = { "redcat_redbrick_cobble.png" } ,

    is_ground_content = false                    ,
    workbench         = false                    ,
    groups = { cracky=3, stone=2 }               ,
    sounds = default.sound_stone() ,
})

-- ===================================================================

reg_node ("redcat:redbrick_squares", {
    description = "RedCat Red Brick Squares"        ,
    tiles       = { "redcat_redbrick_squares.png" } ,

    is_ground_content = false                    ,
    workbench         = false                    ,
    groups = { cracky=3, stone=2 }               ,
    sounds = default.sound_stone() ,
})

-- ===================================================================

for ii = 1,3 do
    reg_node ("redcat:cobble_0"  .. ii, {
        description = "RedCat GR Cobble "      .. ii             ,
        tiles       = { "grblocks_cobble_0"    .. ii .. ".png" } ,

        is_ground_content = false                    ,
        workbench         = false                    ,
        groups = { cracky=3, stone=2 }               ,
        sounds = default.sound_stone() ,
    })
end

-- ===================================================================

for ii = 1,3 do
    reg_node ("redcat:tile_0"    .. ii, {
        description = "RedCat Tile "           .. ii             ,
        tiles       = { "grblocks_tile_0"      .. ii .. ".png" } ,

        is_ground_content = false                    ,
        workbench         = false                    ,
        groups = { cracky=3, stone=1 }               ,
        sounds = default.sound_stone() ,
    })
end

-- ===================================================================

for ii = 1,2 do
    reg_node ("redcat:greybrick" .. ii, {
        description = "RedCat Grey Brick "     .. ii             ,
        tiles       = { "redcat_greybrick"     .. ii .. ".png" } ,

        is_ground_content = false                    ,
        workbench         = false                    ,
        groups = { cracky=3, stone=1 }               ,
        sounds = default.sound_stone() ,
    })
end

-- ===================================================================

for ii = 1,4 do
    reg_node ("redcat:brick_0"   .. ii, {
        description = "RedCat GR Brick "       .. ii             ,
        tiles       = { "grblocks_brick_0"     .. ii .. ".png" } ,

        is_ground_content = false                    ,
        workbench         = false                    ,
        groups = { cracky=3, stone=1 }               ,
        sounds = default.sound_stone() ,
    })
end

-- ===================================================================

for ii = 1,3 do
    reg_node ("redcat:redbrick"  .. ii, {
        description = "RedCat Red Brick "      .. ii             ,
        tiles       = { "redcat_redbrick"      .. ii .. ".png" } ,

        is_ground_content = false                    ,
        workbench         = false                    ,
        groups = { cracky=3, stone=1 }               ,
        sounds = default.sound_stone() ,
    })
end

-- ===================================================================
